com.sun.grid.jgdi

## Interface EventClient

- All Known Implementing Classes:
    EventClientImpl

      public interface EventClient

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListener(EventListener lis)` Add an event listener to this event client
    `void` | `close()` Close this event client
    `void` | `commit()` Commit the subscription
    `int` | `getFlush(EventTypeEnum type)`
    `int` | `getId()` Get the id of this event client
    `java.util.Set<EventTypeEnum>` | `getSubscription()`
    `boolean` | `isClosed()` Determine if the event client has been closed
    `boolean` | `isRunning()` Determine if the event client is running
    `void` | `removeEventListener(EventListener lis)` Remove an event listener from this event client
    `void` | `setFlush(EventTypeEnum type, int time)`
    `void` | `setFlush(java.util.Map<EventTypeEnum,java.lang.Integer> map)`
    `void` | `setSubscription(java.util.Set<EventTypeEnum> types)`
    `void` | `subscribe(EventTypeEnum type)`
    `void` | `subscribe(java.util.Set<EventTypeEnum> types)`
    `void` | `subscribeAll()` Subscribe all events for this event client
    `void` | `unsubscribe(EventTypeEnum type)`
    `void` | `unsubscribe(java.util.Set<EventTypeEnum> types)`
    `void` | `unsubscribeAll()` Unsubscribe all events for this event client

- - ### Method Detail

    - #### getId

          int getId()

      Get the id of this event client
      Returns:
        the event client id

    - #### close

          void close()
              throws JGDIException,
                     java.lang.InterruptedException

      Close this event client
      Throws:
        `JGDIException` - if the close operation failed
        `java.lang.InterruptedException` - if closing the event client has been interrupted

    - #### isRunning

          boolean isRunning()

      Determine if the event client is running
      Returns:
        `true` if the event client is running

    - #### isClosed

          boolean isClosed()

      Determine if the event client has been closed
      Returns:
        `true` if the event client has been closed

    - #### subscribeAll

          void subscribeAll()
                     throws JGDIException

      Subscribe all events for this event client
      Throws:
        `JGDIException` - if subscribe failed

    - #### unsubscribeAll

          void unsubscribeAll()
                       throws JGDIException

      Unsubscribe all events for this event client
      Throws:
        `JGDIException` - if unsubscribe failed

    - #### subscribe

          void subscribe(EventTypeEnum type)
                  throws JGDIException

      Throws:
        `JGDIException`

    - #### unsubscribe

          void unsubscribe(EventTypeEnum type)
                    throws JGDIException

      Throws:
        `JGDIException`

    - #### subscribe

          void subscribe(java.util.Set<EventTypeEnum> types)
                  throws JGDIException

      Throws:
        `JGDIException`

    - #### unsubscribe

          void unsubscribe(java.util.Set<EventTypeEnum> types)
                    throws JGDIException

      Throws:
        `JGDIException`

    - #### setSubscription

          void setSubscription(java.util.Set<EventTypeEnum> types)
                        throws JGDIException

      Throws:
        `JGDIException`

    - #### setFlush

          void setFlush(java.util.Map<EventTypeEnum,java.lang.Integer> map)
                 throws JGDIException

      Throws:
        `JGDIException`

    - #### setFlush

          void setFlush(EventTypeEnum type,
                        int time)
                 throws JGDIException

      Throws:
        `JGDIException`

    - #### getFlush

          int getFlush(EventTypeEnum type)
                throws JGDIException

      Throws:
        `JGDIException`

    - #### getSubscription

          java.util.Set<EventTypeEnum> getSubscription()
                                                throws JGDIException

      Throws:
        `JGDIException`

    - #### addEventListener

          void addEventListener(EventListener lis)

      Add an event listener to this event client
      Parameters:
        `lis` - the event listener

    - #### removeEventListener

          void removeEventListener(EventListener lis)

      Remove an event listener from this event client
      Parameters:
        `lis` - the event listener

    - #### commit

          void commit()
               throws JGDIException

      Commit the subscription
      Throws:
        `JGDIException` - if the commit has failed

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.